---
title: MySqlConnection.BeginTransactionAsync methods
---

# MySqlConnection.BeginTransactionAsync method (1 of 3)

Begins a database transaction asynchronously.

```csharp
public ValueTask<MySqlTransaction> BeginTransactionAsync(
    CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task representing the new database transaction.

## Remarks

Transactions may not be nested.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlConnection.BeginTransactionAsync method (2 of 3)

Begins a database transaction asynchronously.

```csharp
public ValueTask<MySqlTransaction> BeginTransactionAsync(IsolationLevel isolationLevel, 
    CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| isolationLevel | The IsolationLevel for the transaction. |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task representing the new database transaction.

## Remarks

Transactions may not be nested.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlConnection.BeginTransactionAsync method (3 of 3)

Begins a database transaction asynchronously.

```csharp
public ValueTask<MySqlTransaction> BeginTransactionAsync(IsolationLevel isolationLevel, 
    bool isReadOnly, CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| isolationLevel | The IsolationLevel for the transaction. |
| isReadOnly | If `true`, changes to tables used in the transaction are prohibited; otherwise, they are permitted. |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task representing the new database transaction.

## Remarks

Transactions may not be nested.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
