---
title: MySqlConnection.ResetConnectionAsync method
---

# MySqlConnection.ResetConnectionAsync method

Resets the session state of the current open connection; this clears temporary tables and user-defined variables.

```csharp
public ValueTask ResetConnectionAsync(CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A `ValueTask` representing the asynchronous operation.

## Remarks

This is an optional feature of the MySQL protocol and may not be supported by all servers. It's known to be supported by MySQL Server 5.7.3 (and later) and MariaDB 10.2.4 (and later). Other MySQL-compatible servers or proxies may not support this command.

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
