---
title: MySqlDataReader.GetColumnSchemaAsync method
---

# MySqlDataReader.GetColumnSchemaAsync method

Returns metadata about the columns in the result set.

```csharp
public override Task<ReadOnlyCollection<DbColumn>> GetColumnSchemaAsync(
    CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the operation. |

## Return Value

A Task containing ReadOnlyCollection containing metadata about the result set.

## Remarks

This method runs synchronously; prefer to call [`GetColumnSchema`](../GetColumnSchema/) to avoid the overhead of allocating an unnecessary `Task`.

## See Also

* class [MySqlDataReader](../../MySqlDataReaderType/)
* namespace [MySqlConnector](../../MySqlDataReaderType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
