---
title: MySqlDataReader.GetSchemaTableAsync method
---

# MySqlDataReader.GetSchemaTableAsync method

Returns a DataTable that contains metadata about the columns in the result set.

```csharp
public override Task<DataTable?> GetSchemaTableAsync(CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the operation. |

## Return Value

A DataTable containing metadata about the columns in the result set.

## Remarks

This method runs synchronously; prefer to call [`GetSchemaTable`](../GetSchemaTable/) to avoid the overhead of allocating an unnecessary `Task`.

## See Also

* class [MySqlDataReader](../../MySqlDataReaderType/)
* namespace [MySqlConnector](../../MySqlDataReaderType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
