---
title: MySqlDataSource.OpenConnectionAsync method
---

# MySqlDataSource.OpenConnectionAsync method

Asynchronously returns a new, open [`MySqlConnection`](../../MySqlConnectionType/) to the database represented by this [`MySqlDataSource`](../../MySqlDataSourceType/).

```csharp
public ValueTask<MySqlConnection> OpenConnectionAsync(CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the asynchronous operation. |

## Remarks

The returned connection is already open, and is ready for immediate use.

It is the responsibility of the caller to properly dispose the connection returned by this method. Failure to do so may result in a connection leak.

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* class [MySqlDataSource](../../MySqlDataSourceType/)
* namespace [MySqlConnector](../../MySqlDataSourceType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
