---
title: MySqlDataSourceBuilder
---

# MySqlDataSourceBuilder class

[`MySqlDataSourceBuilder`](../MySqlDataSourceBuilderType/) provides an API for configuring and creating a [`MySqlDataSource`](../MySqlDataSourceType/), from which [`MySqlConnection`](../MySqlConnectionType/) objects can be obtained.

```csharp
public sealed class MySqlDataSourceBuilder
```

## Public Members

| name | description |
| --- | --- |
| [MySqlDataSourceBuilder](../MySqlDataSourceBuilder/MySqlDataSourceBuilder/)(…) | Initializes a new [`MySqlDataSourceBuilder`](../MySqlDataSourceBuilderType/) with the specified connection string. |
| [ConnectionStringBuilder](../MySqlDataSourceBuilder/ConnectionStringBuilder/) { get; } | A [`MySqlConnectionStringBuilder`](../MySqlConnectionStringBuilderType/) that can be used to configure the connection string on this [`MySqlDataSourceBuilder`](../MySqlDataSourceBuilderType/). |
| [Build](../MySqlDataSourceBuilder/Build/)() | Builds a [`MySqlDataSource`](../MySqlDataSourceType/) which is ready for use. |
| [UseClientCertificatesCallback](../MySqlDataSourceBuilder/UseClientCertificatesCallback/)(…) | Sets the callback used to provide client certificates for connecting to a server. |
| [UseLoggerFactory](../MySqlDataSourceBuilder/UseLoggerFactory/)(…) | Sets the ILoggerFactory that will be used for logging. |
| [UseRemoteCertificateValidationCallback](../MySqlDataSourceBuilder/UseRemoteCertificateValidationCallback/)(…) | Sets the callback used to verify that the server's certificate is valid. |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
