---
title: MySqlTransaction.RollbackAsync methods
---

# MySqlTransaction.RollbackAsync method (1 of 2)

Asynchronously rolls back the database transaction.

```csharp
public override Task RollbackAsync(CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task representing the asynchronous operation.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* namespace [MySqlConnector](../../MySqlTransactionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlTransaction.RollbackAsync method (2 of 2)

Asynchronously rolls back the current transaction to the savepoint with the specified *savepointName* without aborting the transaction.

```csharp
public override Task RollbackAsync(string savepointName, 
    CancellationToken cancellationToken = default)
```

| parameter | description |
| --- | --- |
| savepointName | The savepoint name. |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task representing the asynchronous operation.

## Remarks

The name must have been created with [`SaveAsync`](../SaveAsync/), but not released by calling [`ReleaseAsync`](../ReleaseAsync/).

The proposed ADO.NET API that this is based on is not finalized; this API may change in the future.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* namespace [MySqlConnector](../../MySqlTransactionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
